minimizer.hh File Reference
`#include <memory>`
`#include <vector>`
`#include <mia/core/factory.hh>`
`#include <mia/core/handler.hh>`
`#include <mia/core/vector.hh>`
Include dependency graph for minimizer.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CMinimizer
| A class for generalized minimization problems. More...
class | CMinimizer::Problem
| Base class for all optimization problems that can be run by CMinimizer. More...

## Typedefs

typedef TFactory< CMinimizer > | CMinimizerPlugin
| Base class for the CMinimizer creator plugins.
typedef THandlerSingleton< TFactoryPluginHandler< CMinimizerPlugin > > | CMinimizerPluginHandler
| The minimizer plugin handler.
typedef CMinimizer::Pointer | PMinimizer
| Pointer type for the CMinimizer class.

## Functions

| FACTORY_TRAIT (CMinimizerPluginHandler)
| Trait to make the minimizer definition parsable on the command line.
PMinimizer | produce_minimizer (const std::string &descr)

## Typedef Documentation

## CMinimizerPlugin

typedef TFactory<CMinimizer> CMinimizerPlugin

Base class for the CMinimizer creator plugins.

Definition at line 224 of file minimizer.hh.

## CMinimizerPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<CMinimizerPlugin> > CMinimizerPluginHandler

The minimizer plugin handler.

Definition at line 227 of file minimizer.hh.

## PMinimizer

typedef CMinimizer::Pointer PMinimizer

Pointer type for the CMinimizer class.

Definition at line 221 of file minimizer.hh.

## Function Documentation

## FACTORY_TRAIT()

FACTORY_TRAIT | ( | CMinimizerPluginHandler |  | ) |

Trait to make the minimizer definition parsable on the command line.

## produce_minimizer()

PMinimizer produce_minimizer | ( | const std::string & | descr | ) |

inline

Definition at line 238 of file minimizer.hh.

References THandlerSingleton< TFactoryPluginHandler< CMinimizerPlugin > >::instance().